#pragma once

#include <string>
#include <map>
#include <iostream>

#include "vmm_params.h"
#include "vmm3a.h"

class Hybrid {
public:
  Hybrid();
  ~Hybrid();

  void loadDefault();
  VMM3a& getVMM(int index);

private:
  VMM3a vmms[VMMS_PER_HYBRID];
  std::map<std::string, unsigned short> hybrid_registers;
  std::map<std::string, std::string> hybrid_info;
};
