#include "hybrid.h"

Hybrid::Hybrid() {
  loadDefault();
}

Hybrid::~Hybrid() {}

void Hybrid::loadDefault(){
  hybrid_registers = {{"TP_skew", 0}, {"TP_width", 0}, {"TP_pol", 0}, {"TP_disable", 0}};
  hybrid_info = {{"firmware_version", ""}, {"geo_id", ""}, {"hybrid_id", ""},{"link_status", "0"}, {"description", ""}};
}

VMM3a& Hybrid::getVMM(int index) {
  if (index < 0 || index >= VMMS_PER_HYBRID)
    throw std::out_of_range("Invalid VMM index");
  return vmms[index];
}
